Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.event
Interface AggregationChangeEvent

    public interface AggregationChangeEvent

Provides a mechanism for notification of additions, removals, and reorderings of elements in an aggregation.

Field Summary
`static int` | `ELEMENT_ADDED` Flag for one or more elements added to the aggregation.
`static int` | `ELEMENT_REMOVED` Flag for one or more elements removed from the aggregation.
`static int` | `ELEMENTS_REORDERED` Flag for the case of the element order changing within the aggregation.

Method Summary
`Graphic[]` | `getElements()` Gets the `Graphic` elements pertinent to the event.
`int` | `getID()` Get the ID flag for this event.

Field Detail

### ELEMENT_ADDED

    static final int ELEMENT_ADDED

  Flag for one or more elements added to the aggregation.

  See Also:
    Constant Field Values

### ELEMENT_REMOVED

    static final int ELEMENT_REMOVED

  Flag for one or more elements removed from the aggregation.

  See Also:
    Constant Field Values

### ELEMENTS_REORDERED

    static final int ELEMENTS_REORDERED

  Flag for the case of the element order changing within the aggregation.

  See Also:
    Constant Field Values

Method Detail

### getID

    int getID()

  Get the ID flag for this event.

  Returns:
    The event type. One of the `ELEMENT_ADDED`, `ELEMENT_REMOVED` or `ELEMENTS_REORDERED` constants.

### getElements

    Graphic[] getElements()

  Gets the `Graphic` elements pertinent to the event.

  Returns:
    an array of `Graphic`s that were affected by the event, or an empty array.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.